AO-LOAD(1)

NAME
ao-stmload - flash a program to an STM32-based AltOS device

SYNOPSIS
ao-stmload [-D /dev/sgX] [--device /dev/sgX] [--cal radio-calibration] [--serial erial-number] file.elf

DESCRIPTION
ao-stmload loads the specified .elf file into the target device flash memory, using either existing serial number and radio calibration values or taking either of those from the command line.

OPTIONS

-D /dev/sgX | --device /dev/sgX
    This targets an STlinkV1 connection rather than STlinkV2

-s serial-number | --serial serial-number
    This programs the device serial number into the image. If no serial number is specified, then the existing serial number, if any, will be read from the device.

-c radio-calibration | --cal radio-calibration This programs the
    radio calibration value into the image for hardware which doesn't have any eeprom storage for this value. If no calibration value is specified, an existing calibration value will be used. The value here can be computed given the current radio calibration value, the measured frequency and the desired frequency:

        cal' = cal * (desired/measured)

    The default calibration value is 7119667.

USAGE
ao-stmload reads the specified .elf file into memory, edits the image to customize it using the specified serial number and radio calibration values. It then connects to the debug dongle and writes the program to the target device flash memory.

AUTHOR
Keith Packard